| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions

# Tp::Profile::Presence Class Reference

`#include </home/andrunko/work/telepathy/telepathy-qt4/TelepathyQt4/profile.h>`

List of all members.

## Public Member Functions

- Presence ()
- Presence (const Presence &other)
- Presence (const QString &id, const QString &label, const QString &iconName, const QString &message, bool disabled)
- ~Presence ()
- QString id () const
- QString label () const
- QString iconName () const
- QString message () const
- bool isDisabled () const
- Presence & operator= (const Presence &other)

## Constructor & Destructor Documentation

Tp::Profile::Presence::Presence | ( |  | ) |

Construct a new Profile::Presence object.

Tp::Profile::Presence::Presence | ( | const Presence & | other | ) |

Construct a new Profile::Presence object that is a copy of other.

Tp::Profile::Presence::Presence | ( | const QString & | id,
|  | const QString & | label,
|  | const QString & | iconName,
|  | const QString & | message,
|  | bool | disabled |
| ) |  |  |

Construct a new Profile::Presence object.

Parameters:

  | id | The presence id.
  | label | The presence label.
  | iconName | The presence icon name.
  | message | The presence message.
  | disabled | Whether this presence is supported.

Tp::Profile::Presence::~Presence | ( |  | ) |

Class destructor.

## Member Function Documentation

QString Tp::Profile::Presence::id | ( |  | ) | const

Return the telepathy presence id for this presence.

Returns:
  The telepathy presence id for this presence.

QString Tp::Profile::Presence::label | ( |  | ) | const

Return the label that should be used for this presence.

Returns:
  The label for this presence.

QString Tp::Profile::Presence::iconName | ( |  | ) | const

Return the icon name of this presence.

Returns:
  The icon name of this presence.

QString Tp::Profile::Presence::message | ( |  | ) | const

Return the default text delivered with this presence.

Returns:
  The default text delivered with this presence.

bool Tp::Profile::Presence::isDisabled | ( |  | ) | const

Return whether this presence is supported for the service to which this profile applies.

Returns:
  `true` if supported, otherwise `false`.

Profile::Presence & Tp::Profile::Presence::operator= | ( | const Presence & | other | ) |